Tags
Delete Tag
Delete a tag definition
DELETE
/
api
/
v1
/
tags
/
{tagId}
Delete Tag
curl --request DELETE \
--url https://api.sequenzy.com/api/v1/tags/{tagId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/tags/{tagId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/tags/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}
{
"error": "Invalid API key"
}
{
"error": "Cannot delete system tags"
}
{
"error": "Tag not found"
}
{
"error": "Cannot delete tag: it's used in 2 sequence(s): Welcome Flow, Onboarding"
}
Delete a tag definition and remove the tag from all subscribers that have it. Tags that are referenced by sequence steps (add tag, remove tag, tag triggers, conditions, or branches) cannot be deleted until those steps are removed. System tags cannot be deleted.
Request
string
required
Tag definition ID.
curl -X DELETE "https://api.sequenzy.com/api/v1/tags/tag_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
Responses
{
"success": true
}
{
"error": "Invalid API key"
}
{
"error": "Cannot delete system tags"
}
{
"error": "Tag not found"
}
{
"error": "Cannot delete tag: it's used in 2 sequence(s): Welcome Flow, Onboarding"
}
⌘I
Delete Tag
